Subject: bug#33421: 26.1; hl-line face used as default

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Nov 2018 17:45:09 +0200

tags 33421 notabug
thanks

> Date: Sun, 18 Nov 2018 22:37:57 +0100 (CET)
> From: "E. Choroba" <[email-masked]>
> 
> When I use emacs 24.3.1 and run
> 
>    /usr/bin/emacs -Q
> 
> Then M-< followed by M-x global-hl-line-mode and M-x describe-face, emacs asks 
> me
> 
> Describe face (default `font-lock-comment-delimiter-face'):
> 
> But when I use 26.1 and run
> 
>    /usr/local/bin/emacs -Q
> 
> and run exactly the same commands, emacs asks me
> 
> Describe face (default ‘hl-line’):
> 
> I have to turn hl-line off to get the name of the point's face. This makes the 
> default value of the function useless.

I can reproduce this, but for me both Emacs 26 and Emacs 24 behave the
same.  So I don't know why your Emacs 24 behaves differently, perhaps
it's due to some local changes that are not in upstream sources.

In any case, "M-x describe-face" is not the right tool when there
could be several text properties at the same position, because
describe-face can only name one face, and it selects the one that
affects the text the most.  I suggest to use another command instead,
"M-x describe-text-properties".  It will pop up a window with
information about all the properties at point, and you can then drill
down using the buttons in that window.

This is not a bug.

Thanks.